Subject: bug#21383: Static revisions in vc-working-revision

From: Dmitry Gutov <[email-masked]>
Date: Sat, 5 Sep 2015 05:30:26 +0300

On 09/04/2015 05:36 PM, Stefan Monnier wrote:

> Why?  In which kinds of circumstances can this bite us?

It goes somewhere like this: I switch to a different branch (using the 
console), some buffers see that they're out of date and get reverted 
automatically (and/or I `M-x revert-buffer' in some buffer), and then 
some buffers from a project show one branch in their mode-line, and 
other buffers show a different branch.

That can be annoying and makes me question which branch is actually 
checked out.

(Note that the patch I've posted now makes M-x revert-buffer never 
update the current branch; that's a very consistent behavior :)).